Bug 47682 - small bug in mod_autoindex.c with IndexOptions HTMLTable
Summary: small bug in mod_autoindex.c with IndexOptions HTMLTable
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_autoindex (show other bugs)
Version: 2.5-HEAD
Hardware: All All
: P2 minor (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk, PatchAvailable
Depends on:
Blocks:
 
Reported: 2009-08-11 17:28 UTC by Peter Poeml
Modified: 2011-09-17 16:03 UTC (History)
1 user (show)



Attachments
patch with correction (1.90 KB, patch)
2009-08-11 17:32 UTC, Peter Poeml
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Poeml 2009-08-11 17:28:41 UTC
The bug is hit when the index option HTMLTable is configured. 

When the description is not suppressed, and thus the table has a column for it, but the description for a table row is empty, the intention is to write an empty table cell.

The code that does this slipped into the wrong place in the "if" tree, and it is instead emitted when descriptions are suppressed.

I'm attaching a patch for trunk and 2.2.x.
Comment 1 Peter Poeml 2009-08-11 17:32:11 UTC
Created attachment 24130 [details]
patch with correction

The patch was generated with

    svn diff --diff-cmd diff -x -NrpU15

(to show some more context), and applies to trunk, as well as to the 2.2.x branch with a little offset.
Comment 2 Ruediger Pluem 2009-08-12 13:43:02 UTC
Thanks for the patch. Committed to trunk as r803704.
Comment 3 Christophe JAILLET 2011-06-29 21:14:48 UTC
I think that this bug report should be closed now, no ?
Comment 4 Stefan Fritsch 2011-09-17 16:03:23 UTC
r808900 / 2.2.14